<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:06 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PapyrusJavaSwitch (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PapyrusJavaSwitch (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</div>
<h2 title="Class PapyrusJavaSwitch" class="title">Class PapyrusJavaSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util.PapyrusJavaSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PapyrusJavaSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>PapyrusJavaPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#PapyrusJavaSwitch--">PapyrusJavaSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseArray-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Array-">caseArray</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Array</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Array</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseDefault-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Default-">caseDefault</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Default</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Default</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseExternal-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.External-">caseExternal</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">External</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>External</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseExternLibrary-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.ExternLibrary-">caseExternLibrary</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ExternLibrary</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extern Library</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseFinal-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Final-">caseFinal</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Final</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Final</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseImport-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Import-">caseImport</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Import</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Import</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseManualGeneration-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.ManualGeneration-">caseManualGeneration</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ManualGeneration</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Manual Generation</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseNative-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Native-">caseNative</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Native</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Native</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseNoCodeGen-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.NoCodeGen-">caseNoCodeGen</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">NoCodeGen</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>No Code Gen</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseStaticClassifier-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.StaticClassifier-">caseStaticClassifier</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">StaticClassifier</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Static Classifier</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseStrictfp-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Strictfp-">caseStrictfp</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Strictfp</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Strictfp</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseSynchronized-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized-">caseSynchronized</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Synchronized</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseTemplate-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Template-">caseTemplate</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Template</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseTemplateBinding-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.TemplateBinding-">caseTemplateBinding</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateBinding</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Binding</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseTemplateParameter-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.TemplateParameter-">caseTemplateParameter</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateParameter</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Parameter</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseTransient-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Transient-">caseTransient</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Transient</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Transient</em>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseVariadic-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Variadic-">caseVariadic</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Variadic</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variadic</em>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseVolatile-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Volatile-">caseVolatile</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Volatile</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Volatile</em>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#doSwitch-int-org.eclipse.emf.ecore.EObject-">doSwitch</a></span>(int&nbsp;classifierID,
        org.eclipse.emf.ecore.EObject&nbsp;theEObject)</code>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#isSwitchFor-org.eclipse.emf.ecore.EPackage-">isSwitchFor</a></span>(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</code>
<div class="block">Checks whether this is a switch for the given package.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch, doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a> modelPackage</pre>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PapyrusJavaSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PapyrusJavaSwitch</h4>
<pre>public&nbsp;PapyrusJavaSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSwitchFor-org.eclipse.emf.ecore.EPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwitchFor</h4>
<pre>protected&nbsp;boolean&nbsp;isSwitchFor(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</pre>
<div class="block">Checks whether this is a switch for the given package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSwitchFor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ePackage</code> - the package in question.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this is a switch for the given package.</dd>
</dl>
</li>
</ul>
<a name="doSwitch-int-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;doSwitch(int&nbsp;classifierID,
                     org.eclipse.emf.ecore.EObject&nbsp;theEObject)</pre>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSwitch</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first non-null result returned by a <code>caseXXX</code> call.</dd>
</dl>
</li>
</ul>
<a name="caseArray-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Array-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseArray</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseArray(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Array</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Array</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Array</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseExternal-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.External-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExternal</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseExternal(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">External</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>External</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>External</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseExternLibrary-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.ExternLibrary-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExternLibrary</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseExternLibrary(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ExternLibrary</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extern Library</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Extern Library</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseImport-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Import-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseImport</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseImport(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Import</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Import</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Import</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNoCodeGen-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.NoCodeGen-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNoCodeGen</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseNoCodeGen(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">NoCodeGen</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>No Code Gen</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>No Code Gen</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplate-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Template-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseTemplate(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Template</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplateBinding-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplateBinding</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseTemplateBinding(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateBinding</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Binding</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template Binding</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplateParameter-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.TemplateParameter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplateParameter</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseTemplateParameter(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateParameter</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Parameter</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template Parameter</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseManualGeneration-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.ManualGeneration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseManualGeneration</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseManualGeneration(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ManualGeneration</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Manual Generation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Manual Generation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVariadic-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Variadic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVariadic</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseVariadic(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Variadic</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variadic</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Variadic</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVolatile-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Volatile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVolatile</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseVolatile(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Volatile</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Volatile</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Volatile</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTransient-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Transient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTransient</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseTransient(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Transient</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Transient</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Transient</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseSynchronized-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseSynchronized</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseSynchronized(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Synchronized</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Synchronized</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseStrictfp-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Strictfp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseStrictfp</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseStrictfp(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Strictfp</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Strictfp</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Strictfp</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNative-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Native-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNative</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseNative(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Native</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Native</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Native</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDefault-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Default-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDefault</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseDefault(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Default</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Default</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Default</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseStaticClassifier-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.StaticClassifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseStaticClassifier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseStaticClassifier(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">StaticClassifier</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Static Classifier</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Static Classifier</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseFinal-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Final-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseFinal</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;caseFinal(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Final</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Final</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Final</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
